Bug 890994 - [RFE] User can not add/remove multiple-nics to existing instance only created on NEW instnace
[RFE] User can not add/remove multiple-nics to existing instance only created...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
2.0 (Folsom)
Unspecified Unspecified
medium Severity high
: beta
: 3.0
Assigned To: Nikola Dipanov
Yaniv Kaul
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-31 10:30 EST by Ofer Blaut
Modified: 2016-04-26 21:38 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-nova-2013.1-1.el6ost
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 11:40:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ofer Blaut 2012-12-31 10:30:01 EST
Description of problem:

Multiple-nics can be created only on NEW instance , user can not add/del one to exist instance .

http://docs.openstack.org/folsom/openstack-compute/admin/content/using-multi-nics.html#using-multiple-nics-usage

when user tries nova boot with same instance and addtional nic, nova will generate new instance 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. lunch instance 
2. try to add new nic 
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Ofer Blaut 2013-01-01 08:06:19 EST
This was tested when Instance is power off and on (Hot plug)
Comment 6 Ofer Blaut 2013-01-27 03:13:56 EST
removed the needinfo flag
Comment 9 Nikola Dipanov 2013-05-30 11:40:54 EDT
This seems to have been implented with the following patch in nova: https://review.openstack.org/#/c/21819/ and should be supported by OpenStack Networking as well.

The patch has been included in the RHOS 3.0 release

Note You need to log in before you can comment on or make changes to this bug.